Package org.silverpeas.components.suggestionbox.common

## Class SuggestionFinderByCriteria

- java.lang.Object
- - org.silverpeas.components.suggestionbox.common.SuggestionFinderByCriteria

- All Implemented Interfaces:
    `SuggestionCriteriaProcessor`

      public class SuggestionFinderByCriteria
      extends Object
      implements SuggestionCriteriaProcessor

  A finder of suggestions in the given suggestion box by applying a criteria on the suggestion in the business service layer.

  It applies the criteria on the suggestions by using the several business services on which a suggestion is relied on. For example, a suggestion used the WYSIWYG service for its rich content as well as the comment service for the user comments on it.

  Author:
    mmoquillon

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SuggestionFinderByCriteria()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `endProcessing()` |
    `SuggestionCriteriaProcessor` | `processCreator​(org.silverpeas.core.admin.user.model.User creator)` |
    `SuggestionCriteriaProcessor` | `processIdentifiers​(List<String> identifiers)` |
    `SuggestionCriteriaProcessor` | `processJoinDataApply​(List<SuggestionCriteria.JOIN_DATA_APPLY> joinDataApplies)` |
    `SuggestionCriteriaProcessor` | `processOrdering​(List<SuggestionCriteria.QUERY_ORDER_BY> orderings)` |
    `SuggestionCriteriaProcessor` | `processPagination​(org.silverpeas.core.admin.PaginationPage pagination)` |
    `SuggestionCriteriaProcessor` | `processStatus​(List<org.silverpeas.core.contribution.ContributionStatus> status)` |
    `SuggestionCriteriaProcessor` | `processSuggestionBox​(SuggestionBox box)` |
    `List<Suggestion>` | `result()` |
    `void` | `startProcessing()` |
    `SuggestionCriteriaProcessor` | `then()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuggestionFinderByCriteria

          public SuggestionFinderByCriteria()

  - ### Method Detail

    - #### startProcessing

          public void startProcessing()

      Specified by:
        `startProcessing` in interface `SuggestionCriteriaProcessor`

    - #### endProcessing

          public void endProcessing()

      Specified by:
        `endProcessing` in interface `SuggestionCriteriaProcessor`

    - #### then

          public SuggestionCriteriaProcessor then()

      Specified by:
        `then` in interface `SuggestionCriteriaProcessor`

    - #### processSuggestionBox

          public SuggestionCriteriaProcessor processSuggestionBox​(SuggestionBox box)

      Specified by:
        `processSuggestionBox` in interface `SuggestionCriteriaProcessor`

    - #### processCreator

          public SuggestionCriteriaProcessor processCreator​(org.silverpeas.core.admin.user.model.User creator)

      Specified by:
        `processCreator` in interface `SuggestionCriteriaProcessor`

    - #### processStatus

          public SuggestionCriteriaProcessor processStatus​(List<org.silverpeas.core.contribution.ContributionStatus> status)

      Specified by:
        `processStatus` in interface `SuggestionCriteriaProcessor`

    - #### processJoinDataApply

          public SuggestionCriteriaProcessor processJoinDataApply​(List<SuggestionCriteria.JOIN_DATA_APPLY> joinDataApplies)

      Specified by:
        `processJoinDataApply` in interface `SuggestionCriteriaProcessor`

    - #### processOrdering

          public SuggestionCriteriaProcessor processOrdering​(List<SuggestionCriteria.QUERY_ORDER_BY> orderings)

      Specified by:
        `processOrdering` in interface `SuggestionCriteriaProcessor`

    - #### processIdentifiers

          public SuggestionCriteriaProcessor processIdentifiers​(List<String> identifiers)

      Specified by:
        `processIdentifiers` in interface `SuggestionCriteriaProcessor`

    - #### processPagination

          public SuggestionCriteriaProcessor processPagination​(org.silverpeas.core.admin.PaginationPage pagination)

      Specified by:
        `processPagination` in interface `SuggestionCriteriaProcessor`

    - #### result

          public List<Suggestion> result()

      Specified by:
        `result` in interface `SuggestionCriteriaProcessor`